Cancel button not working + providing a wrong password loops

Bug #983152 reported by Klaus Zerwes on 2012-04-16
44
This bug affects 7 people
Affects Status Importance Assigned to Milestone
lightdm-gtk-greeter (Ubuntu)
High
Lionel Le Folgoc
Precise
High
Lionel Le Folgoc
Quantal
High
Lionel Le Folgoc

Bug Description

[Impact]
* "Cancel" button does not interrupt authentication (e.g. impossible to abort if wrong username entered).

[Test case]
* Select any user (or enter manually any username).
* Hit "Cancel" button.
* Nothing happens.
* Install lightdm-gtk-greeter from -proposed
* Restart your computer and repeat the steps above.
* Authentication is cancelled and the greeter returns to the username selection dialog (and the error message from authentication failures disappears).

[Regression Potential]
* None really on this one?

The 'Cancel' Button has no effect.
Additionally on authentication failures the GUI is not restarting with the prompt for the username, but continues to ask for a password in a endless loop.
So entering a wrong username will make lightdm unusable, as one can not correct this.

/etc/lightdm/lightdm.conf:
[SeatDefaults]
greeter-session=lightdm-gtk-greeter
user-session=xubuntu
greeter-hide-users=true
allow-guest=false

/var/log/lightdm/lightdm.log:
[+0.13s] DEBUG: Logging to /var/log/lightdm/x-0-greeter.log
[+0.13s] DEBUG: Session 19873 running command /usr/lib/lightdm/lightdm-greeter-session /usr/sbin/lightdm-gtk-greeter
[+0.34s] DEBUG: Greeter connected version=1.2.0
[+0.34s] DEBUG: Greeter connected, display is ready
[+0.34s] DEBUG: New display ready, switching to it
[+0.34s] DEBUG: Activating VT 7
[+0.59s] DEBUG: Greeter start authentication
[+0.59s] DEBUG: Started session 19918 with service 'lightdm', username '(null)'
[+0.60s] DEBUG: Session 19918 got 1 message(s) from PAM
[+0.60s] DEBUG: Prompt greeter with 1 message(s)
[+14.31s] DEBUG: Continue authentication
[+14.31s] DEBUG: Session 19918 got 1 message(s) from PAM
[+14.31s] DEBUG: Prompt greeter with 1 message(s)
[+16.38s] DEBUG: Continue authentication
[+18.69s] DEBUG: Session 19918 authentication complete with return value 7: Authentication failure
[+18.69s] DEBUG: Authenticate result for user test: Authentication failure
[+18.69s] DEBUG: Session 19918 exited with return value 1
[+18.81s] DEBUG: Greeter start authentication for test
[+18.81s] DEBUG: Started session 19921 with service 'lightdm', username 'test'
[+18.82s] DEBUG: Session 19921 got 1 message(s) from PAM
[+18.82s] DEBUG: Prompt greeter with 1 message(s)
[+21.05s] DEBUG: Continue authentication
[+23.83s] DEBUG: Session 19921 authentication complete with return value 7: Authentication failure
[+23.83s] DEBUG: Authenticate result for user test: Authentication failure
[+23.83s] DEBUG: Session 19921 exited with return value 1
[+23.97s] DEBUG: Greeter start authentication for test
[+23.97s] DEBUG: Started session 19922 with service 'lightdm', username 'test'
[+23.98s] DEBUG: Session 19922 got 1 message(s) from PAM
[+23.98s] DEBUG: Prompt greeter with 1 message(s)
[+26.11s] DEBUG: Continue authentication
[+28.24s] DEBUG: Session 19922 authentication complete with return value 7: Authentication failure
[+28.24s] DEBUG: Authenticate result for user test: Authentication failure
[+28.24s] DEBUG: Session 19922 exited with return value 1
[+28.32s] DEBUG: Greeter start authentication for test
[+28.32s] DEBUG: Started session 19923 with service 'lightdm', username 'test'
[+28.33s] DEBUG: Session 19923 got 1 message(s) from PAM
[+28.34s] DEBUG: Prompt greeter with 1 message(s)
[+30.97s] DEBUG: Continue authentication
[+32.32s] DEBUG: Session 19923 authentication complete with return value 7: Authentication failure
[+32.32s] DEBUG: Authenticate result for user test: Authentication failure
[+32.32s] DEBUG: Session 19923 exited with return value 1
[+32.42s] DEBUG: Greeter start authentication for test
[+32.42s] DEBUG: Started session 19924 with service 'lightdm', username 'test'
[+32.43s] DEBUG: Session 19924 got 1 message(s) from PAM
[+32.43s] DEBUG: Prompt greeter with 1 message(s)
[+35.68s] DEBUG: Continue authentication
[+38.24s] DEBUG: Session 19924 authentication complete with return value 7: Authentication failure
[+38.24s] DEBUG: Authenticate result for user test: Authentication failure
[+38.24s] DEBUG: Session 19924 exited with return value 1
[+38.29s] DEBUG: Greeter start authentication for test
[+38.30s] DEBUG: Started session 19925 with service 'lightdm', username 'test'
[+38.30s] DEBUG: Session 19925 got 1 message(s) from PAM
[+38.30s] DEBUG: Prompt greeter with 1 message(s)
[+40.53s] DEBUG: Cancel authentication
[+40.53s] DEBUG: Session 19925: Sending SIGTERM

/var/log/lightdm/x-0-greeter.log:
(lightdm-gtk-greeter:19902): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1175:60: Failed to open file '/usr/share/themes/Greybird-lightdm/gtk-2.0/resize_grip.png': No such file or directory

(lightdm-gtk-greeter:19902): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1240:50: Failed to open file '/usr/share/themes/Greybird-lightdm/gtk-3.0/progressbar.png': No such file or directory

(lightdm-gtk-greeter:19902): Gtk-WARNING **: Theme parsing error: gtk.css:76:29: Failed to import: Error opening file: No such file or directory

(lightdm-gtk-greeter:19902): Gtk-WARNING **: Theme parsing error: gtk.css:77:33: Failed to import: Error opening file: No such file or directory

# lsb_release -rd
Description: Ubuntu precise (development branch)
Release: 12.04

# dpkg -l *lightdm*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-============================-============================-========================================================================
ii lightdm 1.2.0-0ubuntu2 Display Manager

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: lightdm 1.2.0-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-20.33-generic 3.2.12
Uname: Linux 3.2.0-20-generic i686
ApportVersion: 2.0.1-0ubuntu3
Architecture: i386
Date: Mon Apr 16 16:14:22 2012
InstallationMedia: Xubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: lightdm
UpgradeStatus: No upgrade log present (probably fresh install)

affects: lightdm (Ubuntu) → lightdm-gtk-greeter (Ubuntu)
Changed in lightdm-gtk-greeter (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Brandt B (benedikt-benbra) wrote :

this is still not resolved, I can confirm this bug

Changed in lightdm-gtk-greeter (Ubuntu Quantal):
status: Confirmed → Triaged
Changed in lightdm-gtk-greeter (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
Changed in lightdm-gtk-greeter (Ubuntu Quantal):
assignee: nobody → Lionel Le Folgoc (mrpouit)
Changed in lightdm-gtk-greeter (Ubuntu Precise):
assignee: nobody → Lionel Le Folgoc (mrpouit)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm-gtk-greeter - 1.1.6-0ubuntu1

---------------
lightdm-gtk-greeter (1.1.6-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release, including:
    - Fix 'Large Font' option for fontnames containing spaces lp: #908926
    - Fix 'Cancel' button action, and clear the error label. lp: #983152
 -- Lionel Le Folgoc <email address hidden> Sun, 01 Jul 2012 13:16:54 +0200

Changed in lightdm-gtk-greeter (Ubuntu Quantal):
status: Triaged → Fix Released
description: updated
description: updated
description: updated

Hello Klaus, or anyone else affected,

Accepted lightdm-gtk-greeter into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lightdm-gtk-greeter/1.1.5-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lightdm-gtk-greeter (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Wes James (wes-james) wrote :

I tested this on the same machine I found the bug on. It is latest updated 12.04.1 precise and it fixes the problem.

Thanks,

wes

Wes James (wes-james) wrote :

I forgot to mention that I installed the proposed .deb file, then logged out then ctl-alt-f1 and logged in and restarted lightdm, logged out, ctl-alt-f7 and put in a username then password that was erroneous then clicked cancel and was given a username prompt to start over.

thanks

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm-gtk-greeter - 1.1.5-0ubuntu1.1

---------------
lightdm-gtk-greeter (1.1.5-0ubuntu1.1) precise-proposed; urgency=low

  * debian/patches:
    - 01_fix-large-font-option.patch: fix 'Large Font' option for
      fontnames containing spaces. lp: #908926
    - 02_fix-cancel-button.patch: fix Cancel button action, and clear
      the error label after cancellation. lp: #983152
 -- Lionel Le Folgoc <email address hidden> Tue, 23 Oct 2012 13:45:50 +0200

Changed in lightdm-gtk-greeter (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers